Subject: Re: [bug#31582] [PATCH 0/8] git-annex

From: Christopher Lemmer Webber <[email-masked]>
Date: Mon, 28 May 2018 23:11:57 -0500

Timothy Sample writes:

> Hello!
>
> This patch series adds a package for “git-annex”.  The package is not
> quite perfect, but I think it is far enough along to be included.
>
> One of the issues is that it only builds a very minimal version,
> disabling most of the optional features (the most important being the
> Web app).  One reason for this is that we are missing quite a few of
> these features’ dependencies.  Another reason is that I’m not really
> familiar with them, so I wouldn’t know how to test them ;).
>
> The other issue is that I needed to rework the build a fair bit, and I
> did it in a bit of a shoddy way.  The way that the Haskell build system
> sets up the environment means that the “Setup.hs” does not run properly.
> It passes the Haskell package DB as a parameter to Cabal, but this
> doesn’t affect the code that initializes Cabal.  On the other hand,
> Cabal disallows the package DB to be passed in by environment variables.
> It might be possible to pass it in as a parameter to “runhaskell”, but
> I’m not sure.  Following that path would require copying large chunks of
> the build system into the package, which seems like a poor choice!  (As
> far as I can tell, this is the first package with this problem.  If it
> were more common, I would suggest an update to the build system itself.)
> In the end, I decided to cheat a little, and factor out the different
> parts so that they can be run separately.  This means that the ‘man’
> pages do not get installed :/.  Maybe that could be fixed later, though.
>
>
> -- Tim

I was going to respond to "LGTM" on all the patches, but they all look
good to me.  The concerns you raised in this post seem like things we
should address, but which need not block getting an initial version of
git-annex into Guix.

I'm building it now, will report back when I get a chance to test it.